import { Brush } from "igniteui-react-core";
import { XYChart } from "./XYChart";
import { DomWrapper } from "igniteui-react-core";
import { EventArgs, IList, Type } from "igniteui-react-core";
import { IZoomSlider } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { DataSeriesType } from "igniteui-react-core";
import { IDataSeriesAdapterRule } from "igniteui-react-core";
import { XamDataChart } from "./XamDataChart";
import { DomainType } from "./DomainType";
import { FinancialChartVolumeType } from "./FinancialChartVolumeType";
import { FinancialChartXAxisMode } from "./FinancialChartXAxisMode";
import { FinancialChartYAxisMode } from "./FinancialChartYAxisMode";
import { FinancialChartType } from "./FinancialChartType";
import { HorizontalAlignment } from "igniteui-react-core";
import { FinancialIndicatorTypeCollection } from "./FinancialIndicatorTypeCollection";
import { FinancialOverlayTypeCollection } from "./FinancialOverlayTypeCollection";
import { FinancialChartZoomSliderType } from "./FinancialChartZoomSliderType";
import { BrushCollection } from "igniteui-react-core";
import { IndicatorDisplayTypeCollection } from "./IndicatorDisplayTypeCollection";
import { FinancialChartRangeSelectorOptionCollection } from "./FinancialChartRangeSelectorOptionCollection";
import { CustomIndicatorNameCollection } from "./CustomIndicatorNameCollection";
import { IChartLegend } from "igniteui-react-core";
import { ObservableCollection$1 } from "igniteui-react-core";
import { TemplatedHtmlControl } from "./TemplatedHtmlControl";
import { FinancialChartContext } from "./FinancialChartContext";
import { FinancialChartToolbarContext } from "./FinancialChartToolbarContext";
import { FinancialChartToolbarViewModel } from "./FinancialChartToolbarViewModel";
import { Series } from "./Series";
import { Axis } from "./Axis";
import { DataSeries } from "igniteui-react-core";
import { AxisLabelSettings } from "./AxisLabelSettings";
import { MarkerType } from "./MarkerType";
import { IZoomableCategoryAxis } from "./IZoomableCategoryAxis";
import { TitleSettings } from "./TitleSettings";
import { FinancialChartCustomIndicatorArgs } from "./FinancialChartCustomIndicatorArgs";
import { FinancialChartTypePicker } from "./FinancialChartTypePicker";
import { FinancialChartIndicatorMenu } from "./FinancialChartIndicatorMenu";
import { TrendLineType } from "igniteui-react-core";
import { FinancialChartToolbarVisualData } from "./FinancialChartToolbarVisualData";
import { FinancialChartRangeSelectorViewModel } from "./FinancialChartRangeSelectorViewModel";
import { FinancialChartRangeSelectorVisualData } from "./FinancialChartRangeSelectorVisualData";
/**
 * @hidden
 */
export declare class FinancialChart extends XYChart {
    static $t: Type;
    protected vv(a: string, b: any, c: any): void;
    private apa;
    private ao9;
    private ao6;
    private apj;
    private aio;
    provideGrid(a: DomWrapper): void;
    onDocumentClick(a: Event): void;
    private alm;
    private alk;
    private alh;
    private alj;
    private all;
    private ali;
    getContext(): FinancialChartContext;
    provideContainer(a: any): void;
    private apu;
    private ap8;
    private aoq;
    private ap6;
    setGridRows(): void;
    protected u2(): void;
    private apq;
    private apr;
    private ap0;
    private aop;
    private apg;
    protected uz(a: XamDataChart): void;
    private aqb;
    private aqe;
    private aqc;
    private aqd;
    aky(): number;
    vb(source_: any, a: number, b: any): void;
    vc(source_: any, a: number, b: any): void;
    va(source_: any): void;
    ve(source_: any, a: number, b: any, c: any): void;
    protected u5(a: Series, b: number): void;
    private ahu;
    private get ahv();
    private set ahv(value);
    private al4;
    get amb(): any;
    set amb(a: any);
    private al5;
    get amc(): any;
    set amc(a: any);
    private al1;
    get al8(): any;
    set al8(a: any);
    private al6;
    get amd(): any;
    set amd(a: any);
    private al7;
    get ame(): any;
    set ame(a: any);
    private al2;
    get al9(): any;
    set al9(a: any);
    private al3;
    get ama(): any;
    set ama(a: any);
    private ajc;
    get ajd(): IZoomSlider;
    set ajd(a: IZoomSlider);
    protected get_jv(): number;
    protected set_jv(a: number): void;
    protected get_g1(): boolean;
    protected set_g1(a: boolean): void;
    private akm;
    get ak3(): number;
    set ak3(a: number);
    constructor();
    protected zz(): Axis;
    protected z0(): Axis;
    onAttachedToUI(): void;
    onDetachedFromUI(): void;
    protected be(a: DataSeries): DataSeriesType;
    protected get_hv(): List$1<DataSeriesType>;
    protected get hv(): List$1<DataSeriesType>;
    protected get_hu(): List$1<IDataSeriesAdapterRule>;
    protected get hu(): List$1<IDataSeriesAdapterRule>;
    private ahh;
    private aiv;
    private ahg;
    protected ud(): void;
    protected t7(a: Series, b: number): void;
    protected c1(a: Series): MarkerType;
    protected wk(a: DataSeries): void;
    protected wn(): void;
    private ahz;
    private ahy;
    private ah8;
    private ah1;
    private amn;
    private ahi;
    private aiw;
    private ai2;
    private ai3;
    private ai1;
    private ai4;
    private get ajl();
    private aii;
    private get aij();
    private get ajo();
    private aig;
    private get aih();
    private get ajm();
    private aik;
    private get ail();
    private get ajn();
    private aip;
    private get aiq();
    protected dc(a: DataSeries, b: DataSeriesType): Series;
    protected wm(): void;
    protected afb(a: (arg1: Axis) => void, b: string): void;
    protected afg(a: (arg1: Axis) => void, b: boolean): void;
    protected api(a: (arg1: IZoomableCategoryAxis) => void): void;
    protected afe(a: (arg1: TitleSettings) => void): void;
    protected afj(a: (arg1: TitleSettings) => void): void;
    protected afh(a: (arg1: AxisLabelSettings) => void): void;
    protected afc(a: (arg1: AxisLabelSettings) => void): void;
    protected uy(a: XamDataChart): void;
    private static alz;
    private amf;
    private ani;
    private ao0;
    private aom;
    private aon;
    private aos;
    private aov;
    private aot;
    private aou;
    private aow;
    private alt;
    protected un(a: (arg1: Series, arg2: number) => void): void;
    private ai8;
    private get volumeChart();
    private set volumeChart(value);
    private apl;
    private ajp;
    private ajt;
    private ajq;
    private ajs;
    private apk;
    private ai5;
    private ai7;
    private ap2;
    ls(): any;
    amk(): string;
    private ai6;
    private ap1;
    private ajy;
    private apz;
    protected uv(): void;
    protected get_g8(): boolean;
    protected get aj4(): boolean;
    private ap7;
    private apm;
    protected vj(a: (arg1: XamDataChart) => void, b: boolean, c: string): void;
    private aoy;
    private apv;
    private get aj3();
    private aoz;
    private aju;
    private app;
    private ao3;
    private ao8;
    private ao7;
    private ao1;
    private ao2;
    private apc;
    private apf;
    private apd;
    private aoo;
    private apt;
    private ap5;
    private ao4;
    private ap3;
    private ajx;
    private apb;
    private aox;
    private apx;
    private apw;
    private apo;
    private ao5;
    private aj5;
    private ap4;
    private aor;
    private apy;
    protected wr(a: Series, b: Series, c: DataSeries): void;
    private amm;
    protected ae6(a: Axis): void;
    protected ae8(a: Axis): void;
    private ape;
    protected u3(a: Series, b: number): void;
    protected u4(a: Series, b: number): void;
    protected vr(a: string, b: any, c: any): void;
    protected get_cb(): DomainType;
    get cb(): DomainType;
    private ajk;
    get aj2(): boolean;
    set aj2(a: boolean);
    private als;
    get al0(): number;
    set al0(a: number);
    private akt;
    get alc(): number;
    set alc(a: number);
    private akv;
    get ale(): number;
    set ale(a: number);
    private aku;
    get ald(): number;
    set ald(a: number);
    private akw;
    get alf(): number;
    set alf(a: number);
    get alb(): number;
    get ala(): number;
    private ah0;
    get ah2(): FinancialChartVolumeType;
    set ah2(a: FinancialChartVolumeType);
    private ah3;
    get ah4(): FinancialChartXAxisMode;
    set ah4(a: FinancialChartXAxisMode);
    private ako;
    get ak5(): number;
    set ak5(a: number);
    private akr;
    get ak8(): number;
    set ak8(a: number);
    private akp;
    get ak6(): number;
    set ak6(a: number);
    private akq;
    get ak7(): number;
    set ak7(a: number);
    private aks;
    get ak9(): number;
    set ak9(a: number);
    private ah5;
    get ah6(): FinancialChartYAxisMode;
    set ah6(a: FinancialChartYAxisMode);
    private ajf;
    get ajv(): boolean;
    set ajv(a: boolean);
    private ahw;
    get ahx(): FinancialChartType;
    set ahx(a: FinancialChartType);
    protected get_afp(): HorizontalAlignment;
    protected set_afp(a: HorizontalAlignment): void;
    private ajg;
    get ajw(): boolean;
    set ajw(a: boolean);
    private aia;
    get aib(): FinancialIndicatorTypeCollection;
    set aib(a: FinancialIndicatorTypeCollection);
    private aic;
    get aid(): FinancialOverlayTypeCollection;
    set aid(a: FinancialOverlayTypeCollection);
    private aj7;
    private get indicatorCharts();
    private set indicatorCharts(value);
    private aji;
    get aj0(): boolean;
    set aj0(a: boolean);
    protected get_j3(): number;
    protected set_j3(a: number): void;
    private static readonly anv;
    private ajh;
    get ajz(): boolean;
    set ajz(a: boolean);
    private static readonly an6;
    private ajj;
    get aj1(): boolean;
    set aj1(a: boolean);
    private ai9;
    get zoomSliderChart(): XamDataChart;
    set zoomSliderChart(a: XamDataChart);
    private aiu;
    private get zoomSliderAxis();
    private set zoomSliderAxis(value);
    private ahf;
    private get zoomSliderXAxis();
    private set zoomSliderXAxis(value);
    private ah7;
    get ah9(): FinancialChartZoomSliderType;
    set ah9(a: FinancialChartZoomSliderType);
    private agy;
    get ag6(): BrushCollection;
    set ag6(a: BrushCollection);
    private agz;
    get ag7(): BrushCollection;
    set ag7(a: BrushCollection);
    private ag0;
    get ag8(): BrushCollection;
    set ag8(a: BrushCollection);
    private ag1;
    get ag9(): BrushCollection;
    set ag9(a: BrushCollection);
    private ag3;
    get ahb(): BrushCollection;
    set ahb(a: BrushCollection);
    private ag2;
    get aha(): BrushCollection;
    set aha(a: BrushCollection);
    private agx;
    get ag5(): BrushCollection;
    set ag5(a: BrushCollection);
    private agw;
    get ag4(): BrushCollection;
    set ag4(a: BrushCollection);
    private akn;
    get ak4(): number;
    set ak4(a: number);
    private akl;
    get ak2(): number;
    set ak2(a: number);
    private akk;
    get ak1(): number;
    set ak1(a: number);
    private akj;
    get ak0(): number;
    set ak0(a: number);
    private aim;
    get ain(): IndicatorDisplayTypeCollection;
    set ain(a: IndicatorDisplayTypeCollection);
    private alo;
    get alv(): number;
    set alv(a: number);
    private aki;
    get akz(): number;
    set akz(a: number);
    private alr;
    get aly(): number;
    set aly(a: number);
    private alp;
    get alw(): number;
    set alw(a: number);
    private aln;
    get alu(): number;
    set alu(a: number);
    private alq;
    get alx(): number;
    set alx(a: number);
    private ahr;
    get aht(): FinancialChartRangeSelectorOptionCollection;
    set aht(a: FinancialChartRangeSelectorOptionCollection);
    ahs: FinancialChartRangeSelectorOptionCollection;
    private ahn;
    get customIndicatorNames(): CustomIndicatorNameCollection;
    set customIndicatorNames(a: CustomIndicatorNameCollection);
    applyCustomIndicators: (sender: any, e: FinancialChartCustomIndicatorArgs) => void;
    protected get_g9(): boolean;
    protected set_g9(a: boolean): void;
    private ap9;
    get aqa(): Brush;
    set aqa(a: Brush);
    private akx;
    get alg(): number;
    set alg(a: number);
    private aje;
    get ajr(): boolean;
    set ajr(a: boolean);
    private aie;
    get aif(): IChartLegend;
    set aif(a: IChartLegend);
    private ahe;
    private get xAxis();
    private set xAxis(value);
    private ait;
    private get yAxis();
    private set yAxis(value);
    private ais;
    private get volumeAxis();
    private set volumeAxis(value);
    private ahd;
    private get volumeXAxis();
    private set volumeXAxis(value);
    private air;
    private get indicatorAxis();
    private set indicatorAxis(value);
    private ahc;
    private get indicatorXAxis();
    private set indicatorXAxis(value);
    private aj6;
    private get aj9();
    private set aj9(value);
    private aj8;
    private get akb();
    private set akb(value);
    private akf;
    get akh(): Date;
    set akh(a: Date);
    private ake;
    get akg(): Date;
    set akg(a: Date);
    private akc;
    get xAxisBreaks(): ObservableCollection$1<any>;
}
/**
 * @hidden
 */
export declare class FinancialChartToolbar extends TemplatedHtmlControl {
    static $t: Type;
    bg(a: DomWrapper): void;
    bl(a: Event): void;
    private o;
    constructor(a: FinancialChart, b: any);
    private r;
    get s(): FinancialChartRangeSelector;
    set s(a: FinancialChartRangeSelector);
    private z;
    get aa(): FinancialChartTypePicker;
    set aa(a: FinancialChartTypePicker);
    private p;
    get q(): FinancialChartIndicatorMenu;
    set q(a: FinancialChartIndicatorMenu);
    private bm;
    private bh;
    private bi;
    private bj;
    w: FinancialChartToolbarViewModel;
    v(): FinancialChartToolbarContext;
    l(a: any): void;
    private bk;
    private aq;
    get au(): Date;
    set au(a: Date);
    private ap;
    get at(): Date;
    set at(a: Date);
    private ao;
    get as(): Date;
    set as(a: Date);
    private an;
    get ar(): Date;
    set ar(a: Date);
    rangeChanged: (sender: any, e: EventArgs) => void;
    chartTypeChanged: (sender: any, e: EventArgs) => void;
    trendLineTypeChanged: (sender: any, e: EventArgs) => void;
    volumeTypeChanged: (sender: any, e: EventArgs) => void;
    indicatorTypesChanged: (sender: any, e: EventArgs) => void;
    overlayTypesChanged: (sender: any, e: EventArgs) => void;
    bn(): void;
    private x;
    get y(): FinancialChartType;
    set y(a: FinancialChartType);
    private ah;
    get ai(): TrendLineType;
    set ai(a: TrendLineType);
    private ab;
    get ac(): FinancialChartVolumeType;
    set ac(a: FinancialChartVolumeType);
    private ad;
    get ae(): FinancialIndicatorTypeCollection;
    set ae(a: FinancialIndicatorTypeCollection);
    private af;
    get ag(): FinancialOverlayTypeCollection;
    set ag(a: FinancialOverlayTypeCollection);
    static am(a: IList, b: IList): boolean;
    aj(): FinancialChartToolbarVisualData;
    private t;
    get u(): FinancialChartRangeSelectorOptionCollection;
    set u(a: FinancialChartRangeSelectorOptionCollection);
    private ak;
    get al(): boolean;
    set al(a: boolean);
}
/**
 * @hidden
 */
export declare class FinancialChartRangeSelector extends TemplatedHtmlControl {
    static $t: Type;
    private static x;
    q: FinancialChartRangeSelectorViewModel;
    get v(): Date;
    set v(a: Date);
    get u(): Date;
    set u(a: Date);
    get t(): Date;
    set t(a: Date);
    get s(): Date;
    set s(a: Date);
    ab(): void;
    constructor(a: any);
    l(a: any): void;
    private z;
    rangeChanged: (sender: any, e: EventArgs) => void;
    r(): FinancialChartRangeSelectorVisualData;
    get o(): FinancialChartRangeSelectorOptionCollection;
    set o(a: FinancialChartRangeSelectorOptionCollection);
    private aa;
    private p;
}
